import { IParams, ValidAction } from "../args/types.js";
import { IConfig } from "../config/types.js";
import { IAction } from "./types.js";
export declare class Action implements IAction {
    action: "record" | "add";
    functionRegister: {
        record: (params: IParams, config: IConfig) => void;
        add: (params: IParams, config: IConfig) => void;
    };
    constructor(action: ValidAction);
    doWith(params: IParams, config: IConfig): Promise<void>;
    recordWith(params: IParams, config: IConfig): Promise<void>;
    addWith(params: IParams, config: IConfig): Promise<void>;
}
