// this can be optimized with bottom up dynamic programming
// max call stack size gets exceeded on >1000ish long chars
export const leastFragmentedSubsequence = (inSSMemo, notInSSMemo, subString, subStringPos, text, textPos, remainingChars, isNotInSubString) => {
    if (isNotInSubString && notInSSMemo[subStringPos][textPos])
        return notInSSMemo[subStringPos][textPos];
    if (!isNotInSubString && inSSMemo[subStringPos][textPos])
        return inSSMemo[subStringPos][textPos];
    if (subStringPos === subString.length - 1) {
        // we must be in substring
        return [[textPos + 1, text.length - 1]];
    }
    if (remainingChars === 0) {
        for (let i = subStringPos; i < subString.length; i++) {
            if (subString.charAt(i) !== text.charAt(textPos + i - subStringPos))
                return;
        }
        if (isNotInSubString)
            return [[-1, textPos]];
        else
            return [];
    }
    const notInSubString = leastFragmentedSubsequence(inSSMemo, notInSSMemo, subString, subStringPos, text, textPos + 1, remainingChars - 1, true);
    if (!isNotInSubString && notInSubString) {
        notInSubString[0][0] = textPos;
    }
    let min = notInSubString;
    if (subString.charAt(subStringPos) === text.charAt(textPos)) {
        const inSubString = leastFragmentedSubsequence(inSSMemo, notInSSMemo, subString, subStringPos + 1, text, textPos + 1, remainingChars, false);
        if (inSubString) {
            if (isNotInSubString)
                inSubString.unshift([-1, textPos - 1]);
            min = notInSubString
                ? notInSubString.length < inSubString.length
                    ? notInSubString
                    : inSubString
                : inSubString;
        }
    }
    return min;
};
