export const ValidTypes = ["CREATE", "MODIFY"];
export const isValidType = (type) => {
    return ValidTypes.includes(type);
};
export const isValidCreateOperation = (operation) => {
    return "data" in operation && typeof operation.data !== "undefined";
};
export const isValidModifyOperation = (operation) => {
    return "inserts" in operation && typeof operation.inserts !== "undefined";
};
