export declare const ValidOptions: readonly ["MatchCase", "MatchPath", "AllowVars"];
export declare type ValidOption = typeof ValidOptions[number];
export declare type IConfigOptions = {
    [key in ValidOption]: boolean;
};
export declare const isValidOption: (option: string | undefined) => option is "MatchCase" | "MatchPath" | "AllowVars";
export interface IConfig {
    options?: IConfigOptions;
}
